Noticias

Se ha publicado un nuevo servicio, el Portal de Juegos Online

Comunidad Game Maker

Bienvenid@ a la comunidad hispana de Game Maker. Nuestro objetivo es crear videojuegos y dar soporte en castellano de GM. Para mejorar nuestro servicio hemos implantado, como adicion al reglamento general, algunas normas especificas en los subforos más comunes. ¡No olvides informarte antes de participar!.

Autor Tema: Programar en Android  (Leído 162 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado Marth

en: Marzo 09, 2019, 01:00:49 pm
Veran, tengo una versión de prueba para programar para Android en GMS2.
Para ello, tengo que instalar varias cosas.
De entrada, debo instalar 3 paquetes: Android SDK, Android NDK y Java JDK.
Luego de eso genero un Keystore y despues me voy a las preferencias y elijo mi versión del proyecto.
En la configuración de la plataforma he elegido el modo YYC y he puesto mi movil Aquaris como dispositivo en el que probar el programa.
Pero extrañamente me sale un mensaje de error cada vez que intento ejecutar el programa.
¿Hay algun tutorial en Español en el que pueda ver mejor que debo hacer y en que estare fallando?
« última modificación: Marzo 10, 2019, 01:01:11 pm por Marth »

Si piensas que los usuarios de tus programas son idiotas, sólo los idiotas usarán tus programas.

-Linus Torvalds ("Padre" de Linux)-
 


No Tienes Permisos Para Dar Puntos
point 0 Puntos

Este tema no recibió puntos.


Desconectado Johann

  • Las cosas como son!
  • Moderadores globales
  • Okupa
  • *
  • Puntos: 655
  • Mensajes: 785
  • Agradecido: 95 veces
  • Sexo: Masculino
  • First Class Soldier... 10 años en CGM, 5 como mod
    • Ver Perfil
Respuesta #1 en: Marzo 10, 2019, 02:10:50 am
Olvidaste lo mas importante: el mensaje de error

De todas formas se supone que el proceso es equivalente al de GMS 1.4 por lo que creo no debería dar mas problemas que los de siempre.
El tutorial de Yoyo, que esta en inglés incluye todo lo necesario, no se si exista uno en español.

Cita de: Fenris78
Si un tema os resulta de interes y veis que hay poca información, la mejor solucion no es quejarse o pedir sin pensar, sino sugerir algo bien planteado o aportarlo vosotros mismos.
Cita de: Calio
Somos desarrolladores independientes y, por lo tanto, no tenemos por qué guiarnos por las tendencias del mercado.
 
Los siguientes usuarios dieron las gracias a este tema: Marth


Desconectado Marth

Respuesta #2 en: Marzo 10, 2019, 01:02:31 pm
Olvidaste lo mas importante: el mensaje de error

De todas formas se supone que el proceso es equivalente al de GMS 1.4 por lo que creo no debería dar mas problemas que los de siempre.
El tutorial de Yoyo, que esta en inglés incluye todo lo necesario, no se si exista uno en español.

Pues vale, ya lo he adjuntado.
Hay que reconocer que a veces, Game Maker puede ser críptico con los fallos, hasta el extremo de que a veces quedas completamente a tu suerte.

Si piensas que los usuarios de tus programas son idiotas, sólo los idiotas usarán tus programas.

-Linus Torvalds ("Padre" de Linux)-
 


Desconectado Johann

  • Las cosas como son!
  • Moderadores globales
  • Okupa
  • *
  • Puntos: 655
  • Mensajes: 785
  • Agradecido: 95 veces
  • Sexo: Masculino
  • First Class Soldier... 10 años en CGM, 5 como mod
    • Ver Perfil
Respuesta #3 en: Marzo 11, 2019, 10:53:06 pm
Según el error, no encontró el SDK, revisa que tus variables de entorno estén bien configuradas incluyendo las respectivas carpetas donde estan los ejecutables y bats en la variable path:

ejemplo:
Código: [Seleccionar]
E:\Juanpa\Desarrollo\AndroidSDK\platform-tools;E:\Juanpa\Desarrollo\AndroidSDK\tools\bin;
« última modificación: Marzo 11, 2019, 10:56:07 pm por Johann »

Cita de: Fenris78
Si un tema os resulta de interes y veis que hay poca información, la mejor solucion no es quejarse o pedir sin pensar, sino sugerir algo bien planteado o aportarlo vosotros mismos.
Cita de: Calio
Somos desarrolladores independientes y, por lo tanto, no tenemos por qué guiarnos por las tendencias del mercado.
 


Desconectado Marth

Respuesta #4 en: Marzo 12, 2019, 10:10:58 pm
Vale, siguiendo tus consejos revise que se locarizara el Android SDK y volvi a ejecutar.
Esta vez me ha dado el siguiente mensaje de error:

FAILURE: Build failed with an exception.

* What went wrong:
A problem occurred configuring project ':com.company.game'.
> You have not accepted the license agreements of the following SDK components:
[Android SDK Build-Tools 28].
Before building your project, you need to accept the license agreements and complete the installation of the missing components using the Android Studio SDK Manager.
Alternatively, to learn how to transfer the license agreements from one workstation to another, go to http://d.android.com/r/studio-ui/export-licenses.html

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.


Parece que es un error con la versión de la API, aunque me sale el mismo error con las otras versiones.
« última modificación: Marzo 12, 2019, 10:32:51 pm por Marth »

Si piensas que los usuarios de tus programas son idiotas, sólo los idiotas usarán tus programas.

-Linus Torvalds ("Padre" de Linux)-
 


Desconectado Johann

  • Las cosas como son!
  • Moderadores globales
  • Okupa
  • *
  • Puntos: 655
  • Mensajes: 785
  • Agradecido: 95 veces
  • Sexo: Masculino
  • First Class Soldier... 10 años en CGM, 5 como mod
    • Ver Perfil
Respuesta #5 en: Marzo 12, 2019, 11:35:52 pm
y ya instalaste las API que vas a usar con el SDKManager?
Hace poco hicieron un articulo sobre eso y todo el proceso.

Cita de: Fenris78
Si un tema os resulta de interes y veis que hay poca información, la mejor solucion no es quejarse o pedir sin pensar, sino sugerir algo bien planteado o aportarlo vosotros mismos.
Cita de: Calio
Somos desarrolladores independientes y, por lo tanto, no tenemos por qué guiarnos por las tendencias del mercado.
 


Desconectado Marth

Respuesta #6 en: Marzo 14, 2019, 10:33:41 pm
y ya instalaste las API que vas a usar con el SDKManager?
Hace poco hicieron un articulo sobre eso y todo el proceso.

¿Te refieres a lo que muestro en la imagen adjunta? De todas formas me sale el mismo mensaje de error.
¿Cual ese artículo que citas?
He intentado buscar videos que expliquen como se programa en Android con GMS2, pero no he tenido suerte.

Si piensas que los usuarios de tus programas son idiotas, sólo los idiotas usarán tus programas.

-Linus Torvalds ("Padre" de Linux)-
 


Desconectado Marth

Respuesta #7 en: Marzo 18, 2019, 12:26:39 am
Adjunto el actual mensaje de error.
¿Que significa este mensaje?

Si piensas que los usuarios de tus programas son idiotas, sólo los idiotas usarán tus programas.

-Linus Torvalds ("Padre" de Linux)-
 


Desconectado Marth

Respuesta #8 en: Ayer a las 01:17:09 am
Vale, me han explicado mi problema inicial.
Yo configure para como la versión 28.0.0, cuando era 28.0.3.
Y tras arreglar eso, me sale este mensaje de error.

Si piensas que los usuarios de tus programas son idiotas, sólo los idiotas usarán tus programas.

-Linus Torvalds ("Padre" de Linux)-